Commit 5d7aac2b authored by Adrian Hunter's avatar Adrian Hunter Committed by Arnaldo Carvalho de Melo

perf test: test_intel_pt.sh: Use quotes around variable expansion

As suggested by shellcheck, use quotes around variable expansion.
Signed-off-by: default avatarAdrian Hunter <adrian.hunter@intel.com>
Acked-by: default avatarNamhyung Kim <namhyung@kernel.org>
Cc: Ian Rogers <irogers@google.com>
Cc: Jiri Olsa <jolsa@kernel.org>
Link: https://lore.kernel.org/r/20220912083412.7058-8-adrian.hunter@intel.comSigned-off-by: default avatarArnaldo Carvalho de Melo <acme@redhat.com>
parent 711949e2
...@@ -37,7 +37,7 @@ trap trap_cleanup EXIT TERM INT ...@@ -37,7 +37,7 @@ trap trap_cleanup EXIT TERM INT
can_cpu_wide() can_cpu_wide()
{ {
perf record -o ${tmpfile} -B -N --no-bpf-event -e dummy:u -C $1 true >/dev/null 2>&1 || return 2 perf record -o "${tmpfile}" -B -N --no-bpf-event -e dummy:u -C "$1" true >/dev/null 2>&1 || return 2
return 0 return 0
} }
...@@ -48,12 +48,12 @@ test_system_wide_side_band() ...@@ -48,12 +48,12 @@ test_system_wide_side_band()
can_cpu_wide 1 || return $? can_cpu_wide 1 || return $?
# Record on CPU 0 a task running on CPU 1 # Record on CPU 0 a task running on CPU 1
perf record -B -N --no-bpf-event -o ${perfdatafile} -e intel_pt//u -C 0 -- taskset --cpu-list 1 uname perf record -B -N --no-bpf-event -o "${perfdatafile}" -e intel_pt//u -C 0 -- taskset --cpu-list 1 uname
# Should get MMAP events from CPU 1 because they can be needed to decode # Should get MMAP events from CPU 1 because they can be needed to decode
mmap_cnt=$(perf script -i ${perfdatafile} --no-itrace --show-mmap-events -C 1 2>/dev/null | grep -c MMAP) mmap_cnt=$(perf script -i "${perfdatafile}" --no-itrace --show-mmap-events -C 1 2>/dev/null | grep -c MMAP)
if [ ${mmap_cnt} -gt 0 ] ; then if [ "${mmap_cnt}" -gt 0 ] ; then
return 0 return 0
fi fi
...@@ -63,11 +63,11 @@ test_system_wide_side_band() ...@@ -63,11 +63,11 @@ test_system_wide_side_band()
count_result() count_result()
{ {
if [ $1 -eq 2 ] ; then if [ "$1" -eq 2 ] ; then
skip_cnt=$((skip_cnt + 1)) skip_cnt=$((skip_cnt + 1))
return return
fi fi
if [ $1 -eq 0 ] ; then if [ "$1" -eq 0 ] ; then
ok_cnt=$((ok_cnt + 1)) ok_cnt=$((ok_cnt + 1))
return return
fi fi
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment